HanMacWrdKGraphInternal::FootnoteFrame Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Friends | List of all members
HanMacWrdKGraphInternal::FootnoteFrame Struct Reference

Internal: the footnote of a HanMacWrdKGraph. More...

Inheritance diagram for HanMacWrdKGraphInternal::FootnoteFrame:

## Public Member Functions
| FootnoteFrame (Frame const &orig)
| constructor More...
| ~FootnoteFrame ()
| destructor More...
std::string | print () const
| print local data More...
Public Member Functions inherited from HanMacWrdKGraphInternal::Frame
| Frame ()
| constructor More...
virtual | ~Frame ()
| destructor More...
Box2f | getBdBox () const
| return the frame bdbox More...

## Public Attributes
long | m_textFileId
| the text file id More...
long | m_textFileSubId
| the text file subId More...
Public Attributes inherited from HanMacWrdKGraphInternal::Frame
int | m_type
| the graph type More...
long | m_fileId
| the file id More...
long | m_fileSubId
| the file sub id More...
int | m_id
| the local id More...
int | m_page
| the page More...
Box2f | m_pos
| the position More...
float | m_baseline
| the baseline More...
int | m_posFlags
| the graph anchor flags More...
MWAWGraphicStyle | m_style
| the style More...
int | m_borderType
| the border type More...
Vec2f | m_borders [4]
| the border default size (before using width), 0 means Top, other unknown More...
bool | m_inGroup
| true if the frame is a child of a group More...
bool | m_parsed
| true if we have send the data More...
std::string | m_extra
| an extra string More...

## Friends
std::ostream & | operator<< (std::ostream &o, FootnoteFrame const &ftn)
| operator<< More...

## Detailed Description

Internal: the footnote of a HanMacWrdKGraph.

## Constructor & Destructor Documentation

HanMacWrdKGraphInternal::FootnoteFrame::FootnoteFrame | ( | Frame const & | orig | ) |
| inline

constructor

HanMacWrdKGraphInternal::FootnoteFrame::~FootnoteFrame | ( |  | ) |
| inline

destructor

## Member Function Documentation

std::string HanMacWrdKGraphInternal::FootnoteFrame::print | ( |  | ) | const
| inline

print local data

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | FootnoteFrame const & | ftn
| ) |  |
| friend

operator<<

## Member Data Documentation

long HanMacWrdKGraphInternal::FootnoteFrame::m_textFileId

the text file id

Referenced by print(), and HanMacWrdKGraph::sendFrame().

long HanMacWrdKGraphInternal::FootnoteFrame::m_textFileSubId

the text file subId

Referenced by print(), and HanMacWrdKGraph::sendFrame().

The documentation for this struct was generated from the following file:

- HanMacWrdKGraph.cxx